FreeMat

- Main Page
- Related Pages

vtkXMLStructuredDataWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLStructuredDataWriter provides VTK XML writing functionality that is common among all the structured data formats.

To create an instance of class vtkXMLStructuredDataWriter, simply invoke its constructor as follows

      obj = vtkXMLStructuredDataWriter

# Methods

The class vtkXMLStructuredDataWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLStructuredDataWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLStructuredDataWriter = obj.NewInstance ()`
- `vtkXMLStructuredDataWriter = obj.SafeDownCast (vtkObject o)`
- `obj.SetNumberOfPieces (int )` - Get/Set the number of pieces used to stream the image through the pipeline while writing to the file.
- `int = obj.GetNumberOfPieces ()` - Get/Set the number of pieces used to stream the image through the pipeline while writing to the file.
- `obj.SetWriteExtent (int , int , int , int , int , int )` - Get/Set the extent of the input that should be treated as the WholeExtent in the output file. The default is the WholeExtent of the input.
- `obj.SetWriteExtent (int a[6])` - Get/Set the extent of the input that should be treated as the WholeExtent in the output file. The default is the WholeExtent of the input.
- `int = obj. GetWriteExtent ()` - Get/Set the extent of the input that should be treated as the WholeExtent in the output file. The default is the WholeExtent of the input.
- `obj.SetExtentTranslator (vtkExtentTranslator )` - Get/Set the extent translator used for streaming.
- `vtkExtentTranslator = obj.GetExtentTranslator ()` - Get/Set the extent translator used for streaming.